"use strict";

/**
 * Copyright (c) 2017 - present, Botfuel (https://www.botfuel.io).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
const MissingImplementationError = require('../errors/missing-implementation-error');

const ValidObject = require('./valid-object');
/**
 * A message part.
 */


class Part extends ValidObject {
  /**
   * Converts the part to json.
   * @abstract
   * @returns {Object} the part as a json object
   */
  toJson() {
    throw new MissingImplementationError();
  }

}

module.exports = Part;